# TextElement

Extends \ProjectComponent

Text element points to a file or contains text.

package | phing.tasks.system.AppendTask

### Methods

## set the text using inline

    addText( $value)

### Arguments

#### $value

``

## return the filtering attribute

    getFiltering()

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## getValue

    getValue() : \the

### Response

`\the`

text, after possible trimming

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## The encoding of the text element

    setEncoding( $encoding)

### Arguments

#### $encoding

``

## set the text using a file

    setFile(\PhingFile $file)

throws | if the file does not exist, or cannot be read

### Arguments

#### $file

`\PhingFile`

## whether to filter the text in this element or not.

    setFiltering( $filtering)

### Arguments

#### $filtering

``

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## whether to call text.trim()

    setTrim( $trim)

### Arguments

#### $trim

``

## s:^\s*:: on each line of input

    setTrimLeading( $strip)

### Arguments

#### $strip

``

### Properties

## value

    value :

### Type(s)

``

## trimLeading

    trimLeading :

### Type(s)

``

## trim

    trim :

### Type(s)

``

## filtering

    filtering :

### Type(s)

``

## encoding

    encoding :

### Type(s)

``

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`